Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.resource.cci
Interface ResultSetInfo

public interface ResultSetInfo

The interface ResultSetInfo provides information on the support for the ResultSet interface by an underlying resource. A component can retrieve a ResultSetInfo from a Connection instance. A resource only needs to support this interface if it also supports the ResultSet interface.

Method Summary
`boolean` | `deletesAreDetected(int type)` Indicates whether or not a visible row delete can be detected.
`boolean` | `insertsAreDetected(int type)` Indicates whether or not a visible row insert can be detected.
`boolean` | `othersDeletesAreVisible(int type)` Indicates whether deletes made by others are visible.
`boolean` | `othersInsertsAreVisible(int type)` Indicates whether inserts made by others are visible.
`boolean` | `othersUpdatesAreVisible(int type)` Indicates whether updates made by others are visible.
`boolean` | `ownDeletesAreVisible(int type)` Indicates whether deletes made by self are visible.
`boolean` | `ownInsertsAreVisible(int type)` Indicates whether inserts made by self are visible.
`boolean` | `ownUpdatesAreVisible(int type)` Indicates whether updates made by self are visible.
`boolean` | `supportsResultSetType(int type)` Indicates whether or not an resource adapter supports the specified type of ResultSet.
`boolean` | `supportsResultTypeConcurrency(int type, int concurrency)` Indicates whether or not a resource adapter supports the concurrency type in combination with the given ResultSet type.
`boolean` | `updatesAreDetected(int type)` Indicates whether or not a visible row update can be detected.

Method Detail

### deletesAreDetected

    public boolean deletesAreDetected(int type)
                               throws ResourceException

  Indicates whether or not a visible row delete can be detected.

  Throws:
    `ResourceException`

### insertsAreDetected

    public boolean insertsAreDetected(int type)
                               throws ResourceException

  Indicates whether or not a visible row insert can be detected.

  Throws:
    `ResourceException`

### othersDeletesAreVisible

    public boolean othersDeletesAreVisible(int type)
                                    throws ResourceException

  Indicates whether deletes made by others are visible.

  Throws:
    `ResourceException`

### othersInsertsAreVisible

    public boolean othersInsertsAreVisible(int type)
                                    throws ResourceException

  Indicates whether inserts made by others are visible.

  Throws:
    `ResourceException`

### othersUpdatesAreVisible

    public boolean othersUpdatesAreVisible(int type)
                                    throws ResourceException

  Indicates whether updates made by others are visible.

  Throws:
    `ResourceException`

### ownDeletesAreVisible

    public boolean ownDeletesAreVisible(int type)
                                 throws ResourceException

  Indicates whether deletes made by self are visible.

  Throws:
    `ResourceException`

### ownInsertsAreVisible

    public boolean ownInsertsAreVisible(int type)
                                 throws ResourceException

  Indicates whether inserts made by self are visible.

  Throws:
    `ResourceException`

### ownUpdatesAreVisible

    public boolean ownUpdatesAreVisible(int type)
                                 throws ResourceException

  Indicates whether updates made by self are visible.

  Throws:
    `ResourceException`

### supportsResultSetType

    public boolean supportsResultSetType(int type)
                                  throws ResourceException

  Indicates whether or not an resource adapter supports the specified type of ResultSet.

  Throws:
    `ResourceException`

### supportsResultTypeConcurrency

    public boolean supportsResultTypeConcurrency(int type,
                                                 int concurrency)
                                          throws ResourceException

  Indicates whether or not a resource adapter supports the concurrency type in combination with the given ResultSet type.

  Throws:
    `ResourceException`

### updatesAreDetected

    public boolean updatesAreDetected(int type)
                               throws ResourceException

  Indicates whether or not a visible row update can be detected.

  Throws:
    `ResourceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.